/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __plugin_h__
#define __plugin_h__

#include "fe/core.h"

namespace fe
{
class Component;
class Registry;
class Master;
}

#include "plugin/Library.h"
#include "plugin/Registry.h"
#include "plugin/Component.h"
#include "plugin/Catalog.h"
#include "plugin/Master.h"
#include "plugin/assertPlugin.h"

#endif /* __plugin_h__ */

